Package org.eclipse.graphiti.features.impl

## Class DefaultMoveShapeFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.AbstractMoveShapeFeature
    - - org.eclipse.graphiti.features.impl.DefaultMoveShapeFeature

All Implemented Interfaces:
  `IFeature`, `IFeatureProviderHolder`, `IMoveFeature`, `IMoveShapeFeature`, `IMoveShape`, `IDescription`, `IName`

    public class DefaultMoveShapeFeature
    extends AbstractMoveShapeFeature

The Class DefaultMoveShapeFeature.

### Constructor Summary

Constructors
`DefaultMoveShapeFeature​(IFeatureProvider fp)` Creates a new `DefaultMoveShapeFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `avoidNegativeCoordinates()` Sublasses can override this method.
`boolean` `canMoveShape​(IMoveShapeContext context)` Can move shape.
`protected void` `internalMove​(IMoveShapeContext context)` Internal move.
`protected void` `moveAllBendpoints​(IMoveShapeContext context)` Move all bendpoints.
`void` `moveShape​(IMoveShapeContext context)` Move shape.
`protected void` `postMoveShape​(IMoveShapeContext context)` Post move shape.
`protected void` `preMoveShape​(IMoveShapeContext context)` Pre move shape.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractMoveShapeFeature

`canExecute, execute, getName`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDescription, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### DefaultMoveShapeFeature

    public DefaultMoveShapeFeature​(IFeatureProvider fp)

Creates a new `DefaultMoveShapeFeature`.

Parameters:
  `fp` - the feature provider

### Method Detail

#### avoidNegativeCoordinates

    protected boolean avoidNegativeCoordinates()

Sublasses can override this method.

Returns:
  true if moving to negative coordinates should not be possible

#### canMoveShape

    public boolean canMoveShape​(IMoveShapeContext context)

Description copied from interface: `IMoveShape`
Can move shape.

Parameters:
  `context` - the context
Returns:
  true, if successful

#### moveShape

    public void moveShape​(IMoveShapeContext context)

Description copied from interface: `IMoveShape`
Move shape.

Parameters:
  `context` - the context

#### moveAllBendpoints

    protected void moveAllBendpoints​(IMoveShapeContext context)

Move all bendpoints. Move bendpoints within a container shape.

Parameters:
  `context` - the context

#### postMoveShape

    protected void postMoveShape​(IMoveShapeContext context)

Post move shape.

Parameters:
  `context` - the context

#### preMoveShape

    protected void preMoveShape​(IMoveShapeContext context)

Pre move shape.

Parameters:
  `context` - the context

#### internalMove

    protected void internalMove​(IMoveShapeContext context)

Internal move.

Parameters:
  `context` - the context